Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-102859

Available Plugins

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Engineering Closed (View Workflow)
    • Priority: Low
    • Resolution: Duplicate
    • Affects Version/s: 11.2-U5
    • Fix Version/s: N/A
    • Component/s: Plugins
    • Labels:

      Description

      Error: concurrent.futures.process._RemoteTraceback: 
      """
      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/urllib/request.py", line 1318, in do_open
          encode_chunked=req.has_header('Transfer-encoding'))
        File "/usr/local/lib/python3.6/http/client.py", line 1239, in request
          self._send_request(method, url, body, headers, encode_chunked)
        File "/usr/local/lib/python3.6/http/client.py", line 1285, in _send_request
          self.endheaders(body, encode_chunked=encode_chunked)
        File "/usr/local/lib/python3.6/http/client.py", line 1234, in endheaders
          self._send_output(message_body, encode_chunked=encode_chunked)
        File "/usr/local/lib/python3.6/http/client.py", line 1026, in _send_output
          self.send(msg)
        File "/usr/local/lib/python3.6/http/client.py", line 964, in send
          self.connect()
        File "/usr/local/lib/python3.6/http/client.py", line 1392, in connect
          super().connect()
        File "/usr/local/lib/python3.6/http/client.py", line 936, in connect
          (self.host,self.port), self.timeout, self.source_address)
        File "/usr/local/lib/python3.6/socket.py", line 704, in create_connection
          for res in getaddrinfo(host, port, 0, SOCK_STREAM):
        File "/usr/local/lib/python3.6/socket.py", line 745, in getaddrinfo
          for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
      socket.gaierror: [Errno 8] hostname nor servname provided, or not known

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 643, in fetch_plugin_index
          self.__clone_repo(git_server, git_working_dir)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 1255, in __clone_repo
          porcelain.pull(destination, repo_url, errstream=devnull)
        File "/usr/local/lib/python3.6/site-packages/dulwich/porcelain.py", line 818, in pull
          path, r, progress=errstream.write, determine_wants=determine_wants)
        File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 363, in fetch
          progress)
        File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 1398, in fetch_pack
          b"git-upload-pack", url)
        File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 1282, in _discover_references
          resp, read = self._http_request(url, headers, allow_compression=True)
        File "/usr/local/lib/python3.6/site-packages/dulwich/client.py", line 1261, in _http_request
          resp = self.opener.open(req)
        File "/usr/local/lib/python3.6/urllib/request.py", line 526, in open
          response = self._open(req, data)
        File "/usr/local/lib/python3.6/urllib/request.py", line 544, in _open
          '_open', req)
        File "/usr/local/lib/python3.6/urllib/request.py", line 504, in _call_chain
          result = func(*args)
        File "/usr/local/lib/python3.6/urllib/request.py", line 1361, in https_open
          context=self._context, check_hostname=self._check_hostname)
        File "/usr/local/lib/python3.6/urllib/request.py", line 1320, in do_open
          raise URLError(err)
      urllib.error.URLError: <urlopen error [Errno 8] hostname nor servname provided, or not known>

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
          r = call_item.fn(*call_item.args, **call_item.kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 133, in main_worker
          res = loop.run_until_complete(coro)
        File "/usr/local/lib/python3.6/asyncio/base_events.py", line 484, in run_until_complete
          return future.result()
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 93, in _run
          return await self._call(name, serviceobj, methodobj, params=args, job=job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 85, in _call
          return methodobj(*params)
        File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 540, in list_resource
          header=False)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 914, in fetch
          icon=True, official=official)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_plugin.py", line 650, in fetch_plugin_index
          _callback=self.callback)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 90, in logit
          _callback(content, exception)
        File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_common.py", line 64, in callback
          raise callback_exception(message)
      RuntimeError: <urlopen error [Errno 8] hostname nor servname provided, or not known>
      """

      The above exception was the direct cause of the following exception:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 167, in call_method
          result = await self.middleware.call_method(self, message)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1098, in call_method
          return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1043, in _call
          return await self._call_worker(name, *args)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1063, in _call_worker
          return await self.run_in_proc(main_worker, name, args, job)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 997, in run_in_proc
          return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 973, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))

        Attachments

          Attachments

            JEditor

              Issue Links

                Activity

                  People

                  Assignee:
                  releng Release Council
                  Reporter:
                  witendangus Darin Ward
                  Votes:
                  0 Vote for this issue
                  Watchers:
                  1 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved: